package com.zcloud.safetyDutyList.persistence.repository.tasklist;

import com.alibaba.cola.dto.PageResponse;
import com.jjb.saas.framework.repository.repo.BaseRepository;
import com.zcloud.safetyDutyList.persistence.dataobject.tasklist.TaskExecutionDO;

import java.util.List;
import java.util.Map;

public interface TaskExecutionRepository extends BaseRepository<TaskExecutionDO> {

    PageResponse<TaskExecutionDO> listPage(Map<String, Object> params);

    TaskExecutionDO getByTaskExecutionId(String taskExecutionId);

    List<TaskExecutionDO> listByTaskIssueId(String taskIssueId);

    List<TaskExecutionDO> listByTaskListId(String taskListId);

    List<TaskExecutionDO> listByTaskDetailId(String taskDetailId);
}
